<script lang="ts" setup>
import { useStockStore } from "@/stores/stock";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const stockStore = useStockStore();
// const checkStockStore = useStockStore();
async function save() {
  // const { valid } = await form.value!.validate();
  // if (valid) {

  // }
  await stockStore.saveStockBuyList();
}
const userString = localStorage.getItem("user");
const user = userString ? JSON.parse(userString) : null;
var time = new Date();
</script>
<template>
  <v-dialog v-model="stockStore.dialogBuy" persistent width="1024">
    <v-card color="#EDEADE">
      <v-row class="justify-center">
        <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="120px" color="#1C6758"
          style="color: white"><label>สั่งซื้อ</label><br>
          <label>โดย: {{ user.fname + " " + user.lname }}&nbsp;</label>
          <label>{{ time.toLocaleDateString('th-TH', {
            weekday: 'long', year: 'numeric', month: 'long', day:
              'numeric'
          })
          }}</label>
        </v-card>
      </v-row>
      <v-table id="table" style="padding-top: 10px;">
        <thead>
          <tr>
            <!-- <th>ID</th> -->
            <th>Name</th>
            <th>Store</th>
            <th>Amount</th>
            <th>Unit</th>
            <th>Price/Unit</th>
            <th>Total Price</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="item of stockStore.stocksBuy" :key="item.id">
            <!-- <td>{{ item.id }}</td> -->
            <td>{{ item.name }}</td>
            <td> <v-combobox label="Store*" style="font-weight: bold;"
                :items="['Makro', 'Lotus', 'Big C', 'Carre Four']" v-model="item.store"></v-combobox></td>
            <td><v-text-field style="font-weight: bold;" label="Amount*" required v-model="item.amount" :rules="[
              (v) => !!v || 'Amount is required',
            ]"></v-text-field></td>
            <td>{{ item.unit }}</td>
            <td><v-text-field style="font-weight: bold;" label="Price*" required v-model="item.price" :rules="[
              (v) => !!v || 'Price is required',
            ]"></v-text-field></td>
            <td>{{ item.amount && item.price ? item.amount * item.price : '-' }}</td>
          </tr>
        </tbody>
      </v-table>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn size="x-large" class="btngr" @click="stockStore.dialogBuy = false">Close</v-btn>
        <v-btn size="x-large" class="btng" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 28px !important;
}

/* .dialog {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold !important;
    font-size: 18px !important;
  } */
.btng {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  background-color: #9BCB3C;
  width: 80px;
}

.btngr {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  background-color: #C0C0C0;
  width: 80px;
}

th {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px !important;
  text-align: center;
  font-weight: bold !important;
}

td {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 16px !important;
  font-weight: bold;
  text-align: center;
}

select {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  text-align: center;
  background-color: #FFFFFF;
  width: 120px;
  height: 50px;
}

#table {
  border-collapse: collapse;
  width: 100%;
}

#table td,
#table th {
  padding: 10px;
  text-align: center;
}

#table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #1c6758;
  color: white;

}

#table tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #EDEADE;
  color: black;
}
</style>
